package Server_Rules;

use POE;
use plugin;

sub CHANNEL () { plugin::get_irc_channel()  };

our %additional_events =
(
	"rules" => "rules",
);

our $plugin_name;
our %config;

my $pluginVersion = 1.4;

sub mapload
{
	my ( $session, $heap, $args ) = @_[ SESSION, HEAP, ARG0 ];

	my $kernel = $_[KERNEL];
	my %args = %{$args};

	$next_time = int( time() ) + 30;
	$kernel->alarm( rules => $next_time => \%args );
}

sub rules
{
	my ( $session, $heap, $args ) = @_[ SESSION, HEAP, ARG0 ];

	my $kernel = $_[KERNEL];
	my %args = %{$args};

        my ( $serverMode, $currentMap, $gdiPlayers, $gdiPoints, $nodPlayers, $nodPoints, $currentPlayers, $maxPlayers, $timeRemaining, $sfps ) = serverStatus::getGameStatus();

        my $general = "$config{General}";
        my $map = "$config{$currentMap}";

        if ( $currentPlayers >= 2 )
        {
               	plugin::RenRemCMD("msg General rules: $general");
	        plugin::RenRemCMD("msg Rules for $currentMap: $map");
	}
	$next_time = int( time() ) + 300;
	$kernel->alarm( rules => $next_time => \%args );
  }


sub start
{
	my ( $session, $heap, $args ) = @_[ SESSION, HEAP, ARG0 ];
   	my $kernel = $_[KERNEL];

	plugin::set_global ( "version_plugin_Server_Rules", $pluginVersion );


	$next_time = int( time() ) + 30;
	$kernel->alarm( rules => $next_time => \%args );
}

sub stop
{
	my ( $session, $heap, $args ) = @_[ SESSION, HEAP, ARG0 ];
   	my $kernel = $_[KERNEL];
}

sub command
{
	my ( $session, $heap, $args ) = @_[ SESSION, HEAP, ARG0 ];
   	my $kernel = $_[KERNEL];
   	my %args = %{$args};

   	if ($args{command} eq "rules")
   	{
		$kernel->yield("rules" => \%args);
	}
}

# return true
1;